function [U,DV]=DiffDiv(Lx,Ly); 

% [U,DV] = DiffDiv(Lx,Ly); 
% Calcule (dans l'ordre inverse) la liste DV des N+1 differences divisees des
% entrees du vecteur ligne Ly (dans cet ordre) par les entrees du vecteur
% ligne Lx. Les vecteurs Lx et Ly sont des vecteurs ligne de meme longueur N+1,
% dont les entrees sont des nombres complexes. Les entrees de Lx sont
% distinctes. Le tableau U est le tableau triangulaire superieur des differences 
% divisees.  

N=size(Lx,2)-1; 
U=zeros(N+1,N+2); 
U(:,1)= conj(Lx'); 
U(:,2)= conj(Ly'); 
DV = [Ly(1)]; 
for j=2:N+1
    for i=1:N+2-j 
        U(i,j+1)= (U(i,j)-U(i+1,j))/(U(i,1) - U(i+j-1,1)); 
    end
    DV = [U(1,j+1) DV]; 
end
U = U(:,2:N+2); 
end 

    
